curl --request POST \
--url https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"currencyCode": "<string>",
"discountObjectIds": [
"<string>"
],
"enableDefaultCheckoutFees": true,
"feeObjectIds": [
"<string>"
],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItemObjectIds": [
"<string>"
],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": "<string>"
}
]
},
"quantity": 123,
"allowBuyerSelectedQuantity": true,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"taxObjectIds": [
"<string>"
],
"taxes": [
{
"label": "<string>",
"value": 123
}
],
"automatedSalesTaxEnabled": true,
"businessUnitId": "<string>",
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"descriptionHtml": "<string>",
"discountCodeEnabled": true,
"discountObjectId": "<string>",
"domainId": "<string>",
"storePaymentMethodAtCheckout": true,
"successUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links"
payload = {
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": True,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"currencyCode": "<string>",
"discountObjectIds": ["<string>"],
"enableDefaultCheckoutFees": True,
"feeObjectIds": ["<string>"],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": True,
"isOneTimeUseEnabled": True,
"lineItemObjectIds": ["<string>"],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": { "prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": "<string>"
}
] },
"quantity": 123,
"allowBuyerSelectedQuantity": True,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": True,
"isOptional": True,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"taxObjectIds": ["<string>"],
"taxes": [
{
"label": "<string>",
"value": 123
}
],
"automatedSalesTaxEnabled": True,
"businessUnitId": "<string>",
"collectFullBillingAddress": True,
"collectShippingAddress": True,
"descriptionHtml": "<string>",
"discountCodeEnabled": True,
"discountObjectId": "<string>",
"domainId": "<string>",
"storePaymentMethodAtCheckout": True,
"successUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acceptedPaymentMethods: [],
additionalFormFields: [
{
isRequired: true,
label: '<string>',
options: [{label: '<string>', value: '<string>', description: '<string>'}],
propertyName: '<string>',
description: '<string>'
}
],
currencyCode: '<string>',
discountObjectIds: ['<string>'],
enableDefaultCheckoutFees: true,
feeObjectIds: ['<string>'],
fees: [{label: '<string>', value: 123}],
includeEmailInSuccessRedirect: true,
isOneTimeUseEnabled: true,
lineItemObjectIds: ['<string>'],
lineItems: [
{
mode: 'CUSTOM',
name: '<string>',
pricing: {prices: [{currencyCode: '<string>', price: {}, maxQuantity: '<string>'}]},
quantity: 123,
allowBuyerSelectedQuantity: true,
billingCycleAnchorDate: '2023-12-25',
billingStartDelayDays: 123,
billingStartDelayMonths: 123,
buyerSelectedQuantityMax: 123,
buyerSelectedQuantityMin: 123,
description: '<string>',
discount: 123,
discountPercentage: 123,
externalId: '<string>',
images: '<string>',
isEditablePrice: true,
isOptional: true,
lineItemCurrencyCode: '<string>',
positionOnQuote: 123,
priceBookId: '<string>',
productId: '<string>',
productType: '<string>',
recurringBillingEndDate: '2023-12-25',
recurringBillingPeriod: '<string>',
recurringBillingStartDate: '2023-12-25',
richTextDescription: '<string>',
sku: '<string>',
variantId: '<string>'
}
],
paymentLinkName: '<string>',
taxObjectIds: ['<string>'],
taxes: [{label: '<string>', value: 123}],
automatedSalesTaxEnabled: true,
businessUnitId: '<string>',
collectFullBillingAddress: true,
collectShippingAddress: true,
descriptionHtml: '<string>',
discountCodeEnabled: true,
discountObjectId: '<string>',
domainId: '<string>',
storePaymentMethodAtCheckout: true,
successUrl: '<string>'
})
};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"archived": true,
"automatedSalesTaxEnabled": true,
"checkoutFeeIds": [
"<string>"
],
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discounts": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"fees": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"formGuid": "<string>",
"id": "<string>",
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": "<string>"
}
]
},
"quantity": 123,
"acv": 123,
"allowBuyerSelectedQuantity": true,
"amount": 123,
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"arr": 123,
"billingCycleAnchorDate": "2023-12-25",
"billingPeriodEndDate": "2023-12-25",
"billingPeriodStartDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"effectiveUnitPrice": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"mrr": 123,
"positionOnQuote": 123,
"postTaxAmount": 123,
"preDiscountAmount": 123,
"price": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"rampKey": "<string>",
"recurringBillingDayOfMonth": 123,
"recurringBillingEndDate": "2023-12-25",
"recurringBillingNumberOfPayments": 123,
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"tax": 123,
"tcv": 123,
"termInMonths": 123,
"tierAmount": 123,
"totalDiscount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"paymentLinkUrl": "<string>",
"storePaymentMethodAtCheckout": true,
"taxes": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"archivedAt": "2023-11-07T05:31:56Z",
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dealConfigurations": {
"createNewDealOnPurchase": true,
"pipelineStageId": "<string>"
},
"descriptionHtml": "<string>",
"domainId": "<string>",
"successUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a payment link
Create a new payment link in your HubSpot account. This endpoint allows you to specify various attributes for the payment link, such as accepted payment methods, currency, and additional form fields. The payment link can be configured for one-time use and can also collect shipping and billing addresses. This operation requires a valid JSON request body. Some defaults will be applied if no value provided.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
An array of accepted payment methods for the payment link. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', and 'PADS'.
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS An array of PaymentLinkFormField objects representing additional form fields to be included in the payment link.
Show child attributes
Show child attributes
The currency code for the payment, represented as a string.
An array of strings representing the IDs of discount objects associated with the payment link.
A boolean indicating whether default checkout fees are enabled.
An array of strings representing the IDs of fee objects associated with the payment link.
An array of FeeRequest objects, representing the fees to be applied to the payment link.
Show child attributes
Show child attributes
A boolean indicating whether to include the email in the success redirect URL.
A boolean indicating whether the payment link is enabled for one-time use.
An array of line item object IDs associated with the payment link, each represented as a string.
An array of line items, which can be custom, from a product, or cloned, as defined by their respective schemas.
- CUSTOM
- FROM_PRODUCT
- CLONE
Show child attributes
Show child attributes
The name of the payment link. It is a string value.
The state of the payment link, represented as a string. Valid values are 'ON' and 'OFF'.
OFF, ON An array of string IDs representing tax objects associated with the payment link.
An array of TaxRequest objects, each representing a tax associated with the payment link.
Show child attributes
Show child attributes
A boolean indicating whether automated sales tax is enabled.
A string representing the business unit ID associated with the payment link.
A boolean indicating whether to collect the full billing address during checkout.
A boolean indicating whether the shipping address should be collected during checkout.
Show child attributes
Show child attributes
A string containing the HTML description of the payment link.
Show child attributes
Show child attributes
A boolean indicating whether discount codes are enabled for the payment link.
A string representing the object ID of a discount associated with the payment link.
The domain ID associated with the payment link, represented as a string.
A boolean indicating whether to store the payment method at checkout.
A string that defines the URL to redirect to upon successful payment.
Response
successful operation
An array of accepted payment methods for the payment link. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', and 'PADS'.
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS An array of additional form fields included in the payment link.
Show child attributes
Show child attributes
A boolean indicating whether the payment link is archived.
A boolean indicating whether automated sales tax is enabled for the payment link.
An array of checkout fee IDs associated with the payment link.
A boolean indicating whether to collect the full billing address during checkout.
A boolean indicating whether to collect the shipping address during checkout.
The currency code for the payment link, represented as a string.
A boolean indicating whether discount codes are enabled for the payment link.
An array of discount objects associated with the payment link.
Show child attributes
Show child attributes
An array of fee objects associated with the payment link.
Show child attributes
Show child attributes
The form GUID associated with the payment link, represented as a string.
The unique identifier for the payment link, represented as a string.
A boolean indicating whether to include the email in the success redirect URL.
A boolean indicating whether the payment link is enabled for one-time use.
An array of line items associated with the payment link.
Show child attributes
Show child attributes
The name of the payment link, represented as a string.
The URL of the payment link, represented as a string.
The current state of the payment link, represented as a string. Valid values include 'ON' and 'OFF'.
OFF, ON A boolean indicating whether to store the payment method at checkout.
An array of tax objects associated with the payment link.
Show child attributes
Show child attributes
The date and time when the payment link was archived, in ISO 8601 format.
The business unit ID associated with the payment link, represented as a string.
The date and time when the payment link was created, in ISO 8601 format.
Show child attributes
Show child attributes
The HTML description of the payment link, represented as a string.
The domain ID associated with the payment link, represented as a string.
The URL to redirect to upon successful payment, represented as a string.
The date and time when the payment link was last updated, in ISO 8601 format.
Was this page helpful?